# Class CIM_FailNextScheduler
extends CIM_NextScheduler

This association is a subclass of NextScheduler, and defines a predecessor-successor relationship between a NonWork ConservingSchedulingService and another PacketScheduling Service. It indicates that the NonWorkConserving scheduler may pass up a scheduling opportunity (thereby behaving in a non-work conserving manner), and make the resulting bandwidth available to the FollowingService scheduler.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_NextService
|
+--CIM_NextScheduler
|
+--CIM_FailNextScheduler

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This association is a subclass of NextScheduler, and defines a predecessor-successor relationship between a NonWork ConservingSchedulingService and another PacketScheduling Service. It indicates that the NonWorkConserving scheduler may pass up a scheduling opportunity (thereby behaving in a non-work conserving manner), and make the resulting bandwidth available to the FollowingService scheduler.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
FollowingService | CIM_FailNextScheduler | CIM_PacketSchedulingService
PrecedingService | CIM_FailNextScheduler | CIM_NonWorkConservingSchedulingService

## Class Methods